- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# digital_ocean_sshkey – Manage DigitalOcean SSH keys

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Create/delete DigitalOcean SSH keys.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
fingerprint - added in 2.4 |  | This is a unique identifier for the SSH key used to delete a key aliases: id
name - |  | The name for the SSH key
oauth_token - / required added in 2.4 |  | DigitalOcean OAuth token.
ssh_pub_key - |  | The Public SSH key to add.
state - | Choices: present ← absent | Indicate desired state of the target.

## Notes

Note

- Version 2 of DigitalOcean API is used.

## Examples

    - name: "Create ssh key"
      digital_ocean_sshkey:
        oauth_token: "{{ oauth_token }}"
        name: "My SSH Public Key"
        ssh_pub_key: "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAQQDDHr/jh2Jy4yALcK4JyWbVkPRaWmhck3IgCoeOO3z1e2dBowLh64QAM+Qb72pxekALga2oi4GvT+TlWNhzPH4V example"
        state: present
      register: result

    - name: "Delete ssh key"
      digital_ocean_sshkey:
        oauth_token: "{{ oauth_token }}"
        state: "absent"
        fingerprint: "3b:16:bf:e4:8b:00:8b:b8:59:8c:a9:d3:f0:19:45:fa"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | when `state=present` | This is only present when `state=present` Sample: {'ssh_key': {'id': 512189, 'fingerprint': '3b:16:bf:e4:8b:00:8b:b8:59:8c:a9:d3:f0:19:45:fa', 'name': 'My SSH Public Key', 'public_key': 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAQQDDHr/jh2Jy4yALcK4JyWbVkPRaWmhck3IgCoeOO3z1e2dBowLh64QAM+Qb72pxekALga2oi4GvT+TlWNhzPH4V example'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Patrick Marques (@pmarques)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.